import 'dotenv/config';
import { Provider, Type } from 'injection-js';
import { ObjectSchema } from 'joi';
export declare function makeCreateEnvironment<T extends Environment>(type: Type<T>): (override?: Partial<T>) => T;
export declare class Environment {
    PORT: number;
    NODE_ENV: string;
    DB_URI: string;
    EVE_AUTH_BEARER: string;
    SERVICE_URL: string;
    GATEWAY_URL: string;
    FRONTEND_URL: string;
    SHOPTET_SERVICE_URL: string;
    PRODUCT_SERVICE_URL: string;
    COMPANY_SERVICE_URL: string;
    MALL_SERVICE_URL: string;
    ORDER_DOWNLOADER_URL: string;
    PRICING_SERVICE_URL: string;
    ALZA_SERVICE_URL: string;
    EMAG_SERVICE_URL: string;
    SENDINBLUE_TOKEN: string;
    GLOBAL_AGENT_HTTP_PROXY: string;
    GLOBAL_AGENT_NO_PROXY: string;
    protected schema: ObjectSchema;
    init(): void;
    static create: (override?: Partial<Environment>) => Environment;
}
export declare const ENVIRONMENT_PROVIDER: Provider;
