import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { ObjectId } from 'bson';
export declare type ApiFeedType = 'GOOGLE_PRODUCT' | 'SHOPIFY' | 'SHOPTET' | 'CUSTOM' | 'DATABASE';
export interface ApiCompany {
    _id: string;
    name: string;
    feedType: ApiFeedType;
    active: boolean;
    blocked: boolean;
}
export interface ApiSellerId {
    _id: string;
    mwsCredentials: IMwsCredential[];
    mwsMarketplaces: ICompanyMwsMarketplace[];
}
export interface IMwsCredential {
    marketplaceId: string;
    sellerId: string;
}
export interface ICompanyMwsMarketplace {
    status: MarketplaceStatus;
    marketplaceId: string;
}
export declare type MarketplaceStatus = 'online' | 'offline' | 'error';
export declare class CompanyClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getCompanies(): Promise<ApiCompany[]>;
    getCompanyById(companyId: ObjectId): Promise<ApiCompany>;
    getSellerIds(companyId: ObjectId): Promise<ApiSellerId>;
}
