import 'reflect-metadata';
import { EveClient } from './eve-client';
import { Environment } from '..';
import { CurrencyCode } from '../models/currency';
export interface ApiExchangeRates {
    day: Date;
    baseCurrency: CurrencyCode;
    rates: {
        [key in CurrencyCode]: number;
    };
    refreshedAt: Date;
}
export interface ApiQuoteExchangeRate {
    day: Date;
    baseCurrency: CurrencyCode;
    quoteCurrency: CurrencyCode;
    rate: number;
    refreshedAt: Date;
}
export declare class ExchangeRatesClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getExchangeRates(baseCurrency: CurrencyCode, day?: Date): Promise<ApiExchangeRates>;
    getQuoteRate(baseCurrency: CurrencyCode, quoteCurrency: CurrencyCode, day?: Date): Promise<ApiQuoteExchangeRate>;
}
