import 'reflect-metadata';
import { EveClient } from './eve-client';
import { Environment } from '..';
export declare type FeatureToggleGate = 'pass' | 'block';
export interface ApiFeatureToggle {
    name: string;
    gate: FeatureToggleGate;
    group: string[];
}
export declare class FeatureToggleClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    createFeatureToggle(name: string, gate: FeatureToggleGate, group?: string[]): Promise<ApiFeatureToggle>;
    getFeatureToggle(name: string): Promise<ApiFeatureToggle>;
    updateFeatureToggle(name: string, gate: FeatureToggleGate): Promise<ApiFeatureToggle>;
    addGroupMember(name: string, groupMember: string): Promise<ApiFeatureToggle>;
    removeGroupMember(name: string, groupMember: string): Promise<ApiFeatureToggle>;
}
