/// <reference types="got" />
import { ObjectId } from 'bson';
import { EveClient } from './eve-client';
import { ApiOrder, ConsoleLogger, Environment } from '..';
import { AmazonServiceNames, MarketplaceServiceNames } from '../to-be-removed/types';
interface IMwsCredentials {
    accessKey: string;
    secretKey: string;
    sellerId: string;
    token: string;
}
export declare class OrderClient extends EveClient {
    protected env: Environment;
    private logger;
    constructor(env: Environment, logger: ConsoleLogger);
    storeOrders(companyId: ObjectId, orders: ApiOrder[]): Promise<import("got").Response<any>>;
    downloadOrders(companyId: ObjectId, marketplaces: AmazonServiceNames[], fromLastUpdate: Date, toLastUpdate: Date, credentials: IMwsCredentials): Promise<void>;
    getOrdersByFulfillmentId(fulfillmentId: string): Promise<ApiOrder[]>;
    getOrder(companyId: ObjectId, marketplace: MarketplaceServiceNames, marketplaceOrderId: string): Promise<ApiOrder | null>;
}
export {};
