import { ObjectId } from 'bson';
import { AmazonServiceNames } from '../to-be-removed/types';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { IMwsCredentials } from './product-pricing-client';
export interface ApiReturn {
    companyId: ObjectId;
    returnDate: Date;
    marketplaceOrderId: string;
    sku: string;
    asin: string;
    fnSku: string;
    productName: string;
    quantity: number;
    fulfillmentCenterId: string;
    detailedDisposition: string;
    reason: string;
    status: string;
    licensePlateNumber: string;
    customerComments: string;
}
export declare class ReturnClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    downloadReturns(companyId: ObjectId, marketplace: AmazonServiceNames, credentials: IMwsCredentials, callback: string, from: Date, to?: Date): Promise<void>;
}
