import { ObjectId } from 'bson';
import * as pino from 'pino';
interface Bindings {
    [key: string]: any;
}
export declare class ConsoleLogger {
    private pinoLogger;
    constructor();
    replacePino(logger: pino.Logger): ConsoleLogger;
    child(bindings: Bindings): ConsoleLogger;
    error: (error: any) => void;
    fatal: (obj: any) => void;
    debug: (obj: any) => void;
    info(obj: any): void;
    warn(obj: any): void;
    log(...args: any[]): void;
    /**
     * @deprecated Use logger.info(object) instead
     */
    json(obj: any): void;
    /**
     * @deprecated Use logger.child({ companyId: ... }) instead
     */
    companyError(companyId: ObjectId, error: any): void;
}
export {};
