import { ObjectId } from 'bson';
import { ApiCarrierName } from '..';
import { ErpPlatforms, MarketplacePlatforms, MarketplaceServiceNames } from '../to-be-removed/types';
interface ApiDeliveryMethodsMapping {
    marketplace: MarketplaceServiceNames;
    method: string;
    serviceMethod: string;
}
interface ApiPaymentMethodsMapping {
    method: 'online' | 'cashOnDelivery';
    serviceMethod: string;
}
export interface ApiImportSettings {
    companyId: ObjectId;
    marketplaceType: MarketplacePlatforms;
    service: ErpPlatforms;
    defaultOrderStatus?: string;
    orderDeliveredOnStatus?: string;
    orderShippingOnStatus?: string;
    importOrderJustOnce?: boolean;
    lowerStockOnOrder?: boolean;
    synchronizeOrders?: boolean;
    shipmentMethod?: string;
    synchronizeFbaOrders?: boolean;
    carrier?: ApiCarrierName;
    carrierName?: string;
    deliveryMethodsMapping?: ApiDeliveryMethodsMapping[];
    autoconfirmOrderOnStatus?: string;
    paymentMethodsMapping?: ApiPaymentMethodsMapping[];
    importFromPurchaseDate?: Date;
}
export {};
